package com.qmth.themis.business.bean;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 学生参数
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/8/16
 */
public class StudentParams implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "学生id")
    @NotNull(message = "学生id不能为空")
    private Long id;

    @ApiModelProperty(value = "新密码")
    @NotNull(message = "密码不能为空")
    private String password;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
